<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-cis-report-infra-heading">Create or edit a CIS Report Infra</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_infrastructure">Infrastructure</label>
                    <input type="text" class="form-control" name="infrastructure" id="field_infrastructure"
                           formControlName="infrastructure"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_totalPass">Total Pass</label>
                    <input type="number" class="form-control" name="totalPass" id="field_totalPass"
                           formControlName="totalPass"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_totalFail">Total Fail</label>
                    <input type="number" class="form-control" name="totalFail" id="field_totalFail"
                           formControlName="totalFail"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_totalWarn">Total Warn</label>
                    <input type="number" class="form-control" name="totalWarn" id="field_totalWarn"
                           formControlName="totalWarn"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_totalInfo">Total Info</label>
                    <input type="number" class="form-control" name="totalInfo" id="field_totalInfo"
                           formControlName="totalInfo"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
